Skip to navigation

Overwrite a distributed policy.

View as Markdown
Use to apply a distributed policy for a given organizational unit.

Authentication

AuthorizationBearer
Bearer authentication

Query parameters

validateOnlybooleanOptional
Validate the given policy payload without applying it
approveClusterDeletionbooleanOptional
Required when modifying or deleting a policy if the tenant includes one or more clusters running version 2.20 or earlier. In such cases, the platform must delete the policy from the affected clusters. This flag indicates that the administrator approves this deletion.

Request

This endpoint expects an object.
metaobjectOptional
policyobjectOptional

Response

Policy applied.
metaobjectOptional
policyobjectOptional
effectiveobjectOptional
effectiveUpdatedAtdatetimeOptional
The time at which an event occurred. e.g. the time an effective policy has been updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
503
Service Unavailable Error